zlarnv.f(3)

NAME
zlarnv.f

SYNOPSIS

  Functions/Subroutines
subroutine zlarnv (IDIST, ISEED, N, X)
ZLARNV returns a vector of random numbers from a uniform or normal distribution.

Function/Subroutine Documentation

  subroutine zlarnv (integer IDIST, integer, dimension( 4 ) ISEED, integer N, complex*16, dimension( * ) X)

Purpose:

     ZLARNV returns a vector of n random complex numbers from a uniform or
     normal distribution.

Parameters
    IDIST

              IDIST is INTEGER
              Specifies the distribution of the random numbers:
              = 1:  real and imaginary parts each uniform (0,1)
              = 2:  real and imaginary parts each uniform (-1,1)
              = 3:  real and imaginary parts each normal (0,1)
              = 4:  uniformly distributed on the disc abs(z) < 1
              = 5:  uniformly distributed on the circle abs(z) = 1

    ISEED

              ISEED is INTEGER array, dimension (4)
              On entry, the seed of the random number generator; the array
              elements must be between 0 and 4095, and ISEED(4) must be
              odd.
              On exit, the seed is updated.

    N

              N is INTEGER
              The number of random numbers to be generated.

    X

              X is COMPLEX*16 array, dimension (N)
              The generated random numbers.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

      This routine calls the auxiliary routine DLARUV to generate random
      real numbers from a uniform (0,1) distribution, in batches of up to
      128 using vectorisable code. The Box-Muller method is used to
      transform numbers from a uniform to a normal distribution.

Definition at line 98 of file zlarnv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.